<?php
namespace Cmbc;

class Setting
{
	public function set($appid, $appsecret, $submchid, $notify, $key, $ssl, $type, $timeout = 600)
	{
		$this->appid = $appid;
		$this->appsecret = $appsecret;
		$this->submchid = $submchid;

		$this->notify = $notify;
		$this->key = $key;
		$this->ssl = $ssl;
		$this->type = $type;
		$this->timeout = $timeout;
		
		return $this;
	}

	public function getNotifyUrl()
	{
		return $this->notify;
	}

	public function getSSLCertPath(&$sslCertPath, &$sslKeyPath)
	{
		$sslCertPath = $this->ssl['cert'];
		$sslKeyPath = $this->ssl['key'];
	}
	public function getTimeOut()
	{
		return $this->timeout;
	}
	public function getType()
	{
		return $this->type;
	}

	public function getAppId()
	{
		return $this->appid;
	}

	public function getAppSecret()
	{
		return $this->appsecret;
	}

	public function getSubMchId()
	{
		return $this->submchid;
	}

	public function getKey()
	{
		return $this->key;
	}
}